LP#1357364: Allow for sites that may have the intarray extension already installed.
authorChris Sharp <csharp@georgialibraries.org>
Fri, 15 Aug 2014 12:51:44 +0000 (08:51 -0400)
committerBen Shum <bshum@biblio.org>
Thu, 18 Sep 2014 20:05:39 +0000 (16:05 -0400)
Signed-off-by: Chris Sharp <csharp@georgialibraries.org>
Signed-off-by: Ben Shum <bshum@biblio.org>
Open-ILS/src/sql/Pg/version-upgrade/2.5.3-2.6.0-upgrade-db.sql

index 05f6d67..e717978 100644 (file)
@@ -2834,7 +2834,7 @@ WHERE name = 'credit.processor.default' AND description = 'This might be "Author
 
 SELECT evergreen.upgrade_deps_block_check('0864', :eg_version);
 
 
 SELECT evergreen.upgrade_deps_block_check('0864', :eg_version);
 
-CREATE EXTENSION intarray;
+CREATE EXTENSION IF NOT EXISTS intarray;
 
 -- while we have this opportunity, and before we start collecting 
 -- CCVM IDs (below) carve out a nice space for stock ccvm values
 
 -- while we have this opportunity, and before we start collecting 
 -- CCVM IDs (below) carve out a nice space for stock ccvm values